--- title: "Get available NMS IPs at Sensor" slug: "get-available-nms-ips-at-sensor" tags: ["Reference", "IPS 10.1.10"] updated: 2026-09-23T09:35:43Z published: 2026-09-23T09:35:43Z canonical: "docs.trellix.com/get-available-nms-ips-at-sensor" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get available NMS IPs at Sensor This URL gets the NMS IPs available at domain to allocate to the Sensor. ## Resource URL GET /sensor/ /nmsips/available ## Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | sensorId | Sensor id | Number | Yes | ## Response Parameters Following fields are returned: | Field Name | Description | Data Type | | --- | --- | --- | | NMSIPList | Contains the list of NMS IPs | ObjectList | Details of fields in NMSIPList: | Field Name | Description | Data Type | | --- | --- | --- | | NMSIPDetails | NMS IP details | Object | Details of fields in NMSIPDetails: | Field Name | Description | Data Type | | --- | --- | --- | | IPAddress | NMS IP | String | | IPId | Id of the NMS IP | Number | | createdAt | Resource where the NMS IP was created | String | ## Example **Request** GET [https:///sdkapi/sensor/1001/nmsips/available](https://%3CNSM_IP%3E/sdkapi/sensor/1001/nmsips/available) **Response** ``` {       "nmsIPDetails":       [           {               "IPAddress": "1.1.1.1",               "IPId": 49,               "createdAt": "/My Company"           }       ]    } ```   ## Error Information Following error codes are returned by this URL: | No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 1106 | Invalid Sensor | | 2 | 400 | 1124 | The Sensor is inactive | | 3 | 400 | 5401 | FIPS enabled on Sensor |